import { IHeaderStorageApi } from "../apis/api.interfaces";
export declare class HeaderStorageApi implements IHeaderStorageApi {
    deleteContainerAsync(storageContainer: string): Promise<void>;
    deleteHeaderAsync(storageContainer: string, storageKey: string): Promise<void>;
    isMigrationCompleteAsync(storageKey: string): Promise<boolean>;
    getAllHeadersInfoAsync(storageContainer: string): Promise<string>;
    getHeaderInfoAsync(storageContainer: string, storageKey: string): Promise<string>;
    setHeaderInfoAsync(storageContainer: string, storageKey: string, value: string): Promise<void>;
}
